DeluxHostAPI Reference
Storage files

Create a file archive

POST
/v1/services/{orderId}/storage/files/archive

Authorization

apiToken storage:files:write
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: storage:files:write

Path Parameters

orderId*number

Request Body

application/json
  1. body
paths*array<string>
dest*string
format*string|string|string

Response Body

Operation completed or accepted; asynchronous actions may still be running.

application/json
  1. response
archived*boolean
dest*string
format*string
entries*number
curl -X POST 'https://api.deluxhost.net/v1/services/0/storage/files/archive' \  -H "Authorization: Bearer $DELUXHOST_TOKEN" \  -H 'Content-Type: application/json' \  -d '{  "paths": [    "string"  ],  "dest": "string",  "format": "zip"}'
Example Response
{  "archived": true,  "dest": "string",  "format": "string",  "entries": 0}